package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 危重症人员对象 wzzry
 * 
 * @author ruoyi
 * @date 2022-12-02
 */
public class Wzzry extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 姓名 */
    @Excel(name = "姓名")
    private String userName;

    /** 身份证号码 */
    @Excel(name = "身份证号码")
    private String cardNo;

    /** 联系方式 */
    @Excel(name = "联系方式")
    private String phone;

    /** 街道/镇 */
    @Excel(name = "街道/镇")
    private String street;

    /** 居委会 */
    @Excel(name = "居委会")
    private String committee;

    /** 小区/村名称 */
    @Excel(name = "小区/村名称")
    private String community;

    /** 楼号 */
    @Excel(name = "楼号")
    private String building;

    /** 单元号 */
    @Excel(name = "单元号")
    private String unit;

    /** 楼层 */
    @Excel(name = "楼层")
    private String floor;

    /** 门牌号 */
    @Excel(name = "门牌号")
    private String house;

    /** 住址 */
    @Excel(name = "住址")
    private String address;

    /** 基础病情况（逗号分割） */
    @Excel(name = "基础病情况", readConverterExp = "逗=号分割")
    private String basicDisease;

    /** 是否有人照顾（0：是，1：否） */
    @Excel(name = "是否有人照顾", readConverterExp = "0=：是，1：否")
    private String isCare;

    /** 同住人数(不包括自己) */
    @Excel(name = "同住人数(不包括自己)")
    private Long cohabitantsNumber;

    /** 状态（0正常 1停用） */
    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setCardNo(String cardNo) 
    {
        this.cardNo = cardNo;
    }

    public String getCardNo() 
    {
        return cardNo;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setStreet(String street) 
    {
        this.street = street;
    }

    public String getStreet() 
    {
        return street;
    }
    public void setCommittee(String committee) 
    {
        this.committee = committee;
    }

    public String getCommittee() 
    {
        return committee;
    }
    public void setCommunity(String community) 
    {
        this.community = community;
    }

    public String getCommunity() 
    {
        return community;
    }
    public void setBuilding(String building) 
    {
        this.building = building;
    }

    public String getBuilding() 
    {
        return building;
    }
    public void setUnit(String unit) 
    {
        this.unit = unit;
    }

    public String getUnit() 
    {
        return unit;
    }
    public void setFloor(String floor) 
    {
        this.floor = floor;
    }

    public String getFloor() 
    {
        return floor;
    }
    public void setHouse(String house) 
    {
        this.house = house;
    }

    public String getHouse() 
    {
        return house;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setBasicDisease(String basicDisease) 
    {
        this.basicDisease = basicDisease;
    }

    public String getBasicDisease() 
    {
        return basicDisease;
    }
    public void setIsCare(String isCare) 
    {
        this.isCare = isCare;
    }

    public String getIsCare() 
    {
        return isCare;
    }
    public void setCohabitantsNumber(Long cohabitantsNumber) 
    {
        this.cohabitantsNumber = cohabitantsNumber;
    }

    public Long getCohabitantsNumber() 
    {
        return cohabitantsNumber;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userName", getUserName())
            .append("cardNo", getCardNo())
            .append("phone", getPhone())
            .append("street", getStreet())
            .append("committee", getCommittee())
            .append("community", getCommunity())
            .append("building", getBuilding())
            .append("unit", getUnit())
            .append("floor", getFloor())
            .append("house", getHouse())
            .append("address", getAddress())
            .append("basicDisease", getBasicDisease())
            .append("isCare", getIsCare())
            .append("cohabitantsNumber", getCohabitantsNumber())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
